Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch HTTP status-class counts over time

GET/apps/{id}/networkRequests/plots/statusCodes

Fetch HTTP status-class counts over time for the app, or an optional endpoint selection.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last seven days time range if not supplied.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

domain?string

Exact domain or * wildcard pattern.

path?string

Exact path or a * or trailing ** pattern. Without a domain, searches every domain.

from?string

ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.

to?string

ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.

timezone*string

IANA timezone used to bucket and format datetime values in the response. Example: Asia/Kolkata.

plot_time_group?string

Time bucket used for plot aggregation. Defaults to days.

Value in

  • "minutes"
  • "hours"
  • "days"
  • "months"
versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/plots/statusCodes?timezone=string"
[  {    "datetime": "2024-01-15",    "total_count": 125000,    "count_2xx": 120625,    "count_3xx": 2000,    "count_4xx": 1250,    "count_5xx": 1125  },  {    "datetime": "2024-01-16",    "total_count": 128000,    "count_2xx": 124480,    "count_3xx": 2304,    "count_4xx": 768,    "count_5xx": 448  }]

Think this page can be better?

Open an issue